ru.bitel.bgbilling.kernel.event.events

## Class ValidateTextParamEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.kernel.event.events.ValidateTextParamEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ValidateTextParamEvent
      extends LocalEvent

  Событие передается в скрипт валиадации текстового параметра договора. Если скрипт установит поле error в какое-либо значение, система выдаст данное сообщение и параметр не будет изменен.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ValidateTextParamEvent()`
    `` | `ValidateTextParamEvent(int cid, java.lang.String value)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getError()`
    `java.lang.String` | `getValue()`
    `void` | `setError(java.lang.String error)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidateTextParamEvent

          protected ValidateTextParamEvent()

    - #### ValidateTextParamEvent

          public ValidateTextParamEvent(int cid,
                                        java.lang.String value)

  - ### Method Detail

    - #### getError

          public java.lang.String getError()

    - #### setError

          public void setError(java.lang.String error)

    - #### getValue

          public java.lang.String getValue()